Triggers a new execution of the workflow.
curl --request POST \
--url https://api.strait.dev/v1/workflows/{workflowID}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labels": {},
"payload": "<unknown>",
"project_id": "<string>",
"step_overrides": [
{
"enabled": true,
"step_ref": "<string>"
}
],
"tags": {},
"triggered_by": "<string>"
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
curl --request POST \
--url https://api.strait.dev/v1/workflows/{workflowID}/trigger \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"labels": {},
"payload": "<unknown>",
"project_id": "<string>",
"step_overrides": [
{
"enabled": true,
"step_ref": "<string>"
}
],
"tags": {},
"triggered_by": "<string>"
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}